function [w] = faddeeva(z)
    h=0.25;
    N=23;
    M=4;
    s=2.75;
    
    A=zeros(2^(M-1),1);
    B=zeros(2^(M-1),1);
    C=zeros(2^(M-1),1);
    for m=1:2^(M-1)
        n = (-N:N);
        A(m) = sqrt(pi)*(2*m-1)/(h * 2^(2*M)) * sum(exp(s^2/4-n.^2*h^2) .* sin(pi*(2*m-1)*(n*h+s/2)/(2^M*h)));
        B(m) = 1/(1i*sqrt(pi) * 2^(M-1))      * sum(exp(s^2/4-n.^2*h^2) .* cos(pi*(2*m-1)*(n*h+s/2)/(2^M*h)));
        C(m) = pi * (2*m-1) / (h*2^(M+1));
    end
    
    sgni = 0;
    if (imag(z)<0); sgni=-1; end
    z = (sgni*2 + 1)*z;
    
    m = 1:2^(M-1);
    w = -sgni*(2*exp(-z^2)) + (sgni*2 + 1) * sum((A + (z+1i*s/2)*B) ./ (C.^2 - (z+1i*s/2)^2));
end

