function [I] = gaussian_integral(coeff, a, b, y, erf0_sym)
    phi = @(xi) 1/sqrt(2*pi)*exp(-xi^2/2);
    
    N = length(coeff);
    
    S = sym('S', [N+2 1]);
    S(1) = erf0_sym;
    S(2) = -(phi(a+b*y) - phi(a));
    
    for n = 3:N
        S(n) = -((a+b*y)^(n-2)*phi(a+b*y) - a^(n-2)*phi(a)) + (n-2)*S(n-2);
    end
    
    I = 0;
    for n = 1:N
        accum = 0;
        for j = 0:n-1
            accum = accum + nchoosek(n-1,j) * (-a)^(n-1-j) * S(j+1);
        end
        
        I = I + coeff(n)/(b^n) * accum;
    end
end

