function [qep,qem] = qe(eo,ee,A,K)
%function [qep,qem] = qe(eo,ee,A,K)
% Computes the extraordinary normal components of the wave vector in an anisotropic medium
% eo is ordinary index-of-refraction
% ee is extraordinary index-of-refraction 
% A is the optic axis
% K is the incidence parameter


    e=ee^2-eo^2;
    k=1;
    a=A(1);
    b=A(2);
    c=A(3);
    
    G=b^2*e+eo^2;
    
    qep = (eo*sqrt(K^2*(a^2*e-ee^2) + k^2*ee^2*G) + c*b*K*e)/G;
    qem = (-eo*sqrt(K^2*(a^2*e-ee^2) + k^2*ee^2*G) + c*b*K*e)/G;
end
