#version 450

#extension GL_ARB_separate_shader_objects : enable
#extension GL_ARB_shading_language_420pack : enable

layout (binding = 0) uniform sampler2D samplerColor0;
layout (binding = 0) uniform restrict UBO {
	mat4 projection;
	mat4 modelView;
	mat4 invModelView;
	vec4 cameraPosition;
	vec4 lightPos;
	vec2 lightRadii;
	float wavelength;
} ubo;
layout (binding = 1) uniform restrict Params {
	float t;
	float exposure;
	float tau;
	float polarization;
} params;

layout (location = 0) in vec2 inUV;
layout (location = 0) out vec4 outColor;

void main() 
{
	const float gamma = 2.2;

	const vec3 hdr = texture(samplerColor0, inUV).rgb;

	// Tonemap and gamma correct
	const vec3 final = vec3(1.0) - exp(-hdr * params.exposure);
	outColor = vec4(pow(final, vec3(1.0 / gamma)), 1);
}
