#version 450

#extension GL_ARB_separate_shader_objects : enable
#extension GL_ARB_shading_language_420pack : enable

layout (location = 0) in vec4 inPos;
layout (location = 1) in vec3 inNormal;
layout (location = 2) in vec2 inUV;
layout (location = 3) in vec3 inColor;

layout (binding = 0) uniform restrict UBO {
	mat4 projection;
	mat4 modelView;
	mat4 invModelView;
	vec4 cameraPosition;
	vec4 lightPos;
	vec4 lightRadii;
	float wavelength;
	float white_light;
} ubo;
layout (binding = 1) uniform restrict Params {
	float t;
	float exposure;
	float tau;
	float polarization;
} params;

layout (location = 0) out vec3 outColor;
layout (location = 1) out vec3 outPos;
layout (location = 2) out vec3 outPosW;
layout (location = 3) out vec3 outN;

void main() {
	const vec3 P = inPos.xyz*100;
	const vec4 transformed = ubo.modelView * vec4(P, 1);

	outColor = inColor;
	outPos = transformed.xyz;
	outPosW = P;
	outN = -inNormal;
	
	gl_Position = ubo.projection * transformed;	
}
