function [E_op, E_om] = E_o(eo,A,K)
% function [E_op, E_om] = E_o(eo,A,K)  
% Computes the ordinary electric field for the positive and negative normal
% modes
% eo is ordinary index-of-refraction
% A is the optic axis
% K is the incidence parameter

    q = qo(eo,K);
    Wop = [0,q,-K];
    Wom = [0,-q,-K];
    AWop = dot(A,Wop);
    AWom = dot(A,Wom);
    
    E_op = cross(A, Wop) / sqrt(eo^2 - AWop^2);
    E_om = cross(A, Wom) / sqrt(eo^2 - AWom^2);
end

