function We = Ie_to_We(Ie,eo,ee,A)
%function We = Ie_to_We(Ie,eo,ee,A)
% Computes the wave vector associated with a given Poynting vector in an 
% anisotropic medium
% Ie is the Poynting vector
% eo is the ordinary index-of-refraction
% ee is the extraordinary index-of-refraction
% A is the optic axis

    e  = ee^2  - eo^2;
    
    We = ee^2*Ie - e*dot(Ie,A)*A;
    We = We / norm(We);
end

