function [out] = Kmax(eo,ee,A)
%function [out] = Kmax(eo,ee,A)
% Computes the Kmax, the maximal incidence parameter for extraordinary refractions. Kmax is defined such that 
% when K>Kmax total-reflection occurs.
% eo is ordinary index-of-refraction 
% ee is extraordinary index-of-refraction 
% A is the optic axis 


    e=ee^2-eo^2;
    a=A(1);
    b=A(2);
    c=A(3);
    
    out = ee*sqrt((eo^2+e*b^2)/(ee^2-e*c^2));
end

