function [] = gen_routine(dst,name,code)
    % Replace sqrt(-1) with i
    code = strrep(code,'sqrt(-1.0)','1i');

    fileID = fopen(fullfile(dst,strcat(name,'.c')),'w');
    fprintf(fileID,'#include <math.h>\n#include <complex>\nusing namespace std::complex_literals;\nusing namespace std;\n\n');
    fprintf(fileID,'extern std::complex<double> erf(std::complex<double>);\n');
    fprintf(fileID,'inline std::complex<double> conjugate(std::complex<double> c) { return std::conj(c); }\n');
    fprintf(fileID,'inline double conjugate(double d) { return d; }\n\n');
    fprintf(fileID,'auto %s(const double K, const double k, const double h, const std::complex<double> Ga, const std::complex<double> Gb, const std::complex<double> erf0, const double c0, const double c1, const double c2, const double c3, const double c4) {\n', name);
    fprintf(fileID,'\tconst auto %s\n\treturn t0;\n}\n', code);
    fclose(fileID);
end

